const lo = require('lodash')
const hlpSch = require('./TaskScheduleHelper.js')
const hlpInstallKey = require('../../utils/install_key.js')
const defPolicySections = []

function toView (TASK_ADDITIONAL_PARAMS, activePolicyCache, formType, isGroupTask, isLocked, bIsHosted) {
    if(formType === 'Schedule' ) {
        return hlpSch.toView(TASK_ADDITIONAL_PARAMS.Schedule);
    }
    else if(formType=== 'Main' ){
        let data = {
            Form_AddKey: hlpInstallKey.toView(TASK_ADDITIONAL_PARAMS)
        }
        data.Form_AddKey.isTaskLocked = isLocked;
        data.Form_AddKey.IsHostedMode = bIsHosted;
        return data;
    }
    return {}
}

function toRaw(TASK_ADDITIONAL_PARAMS, changedData, formType) {
    if(formType === 'Schedule' ) {
        hlpSch.toRaw(changedData, TASK_ADDITIONAL_PARAMS.Schedule)
    }
    else if(formType=== 'Main' ){
        TASK_ADDITIONAL_PARAMS = hlpInstallKey.toRow(changedData.Form_AddKey, TASK_ADDITIONAL_PARAMS);
    }
}

module.exports = {
    defPolicySections,
    toView,
    toRaw
}
