const lo = require('lodash');
const hlp = require('../../../../helpers')

const sections = ['BLSettings']
const formValues = ['BasesOutdateThresholdWarning','BasesOutdateThresholdCritical','CriticalAreasScanOutdateThreshold']

function toView (settCache, activePolicyCache) {
    let data = hlp.localSettingsToView(settCache.BLSettings,activePolicyCache.BLSettings,formValues);
    data.LocalSettings = true;
    return data;
}

function toRaw (changedData, settCache) {
    hlp.ItemToLocalSettings(changedData);
    Object.assign(settCache.BLSettings, lo.pick(changedData, formValues));
}

module.exports = {
    sections,
    toView,
    toRaw
};
