const lo = require('lodash');
const hlp = require('../../../../helpers')

const sections = ['ReportingSettings']
const formValues = ['UseSyslog','UseOnlySyslog','SyslogSettings']

function toView (settCache, activePolicyCache) {
    let data = hlp.localSettingsToView(settCache.ReportingSettings,activePolicyCache.ReportingSettings,formValues);
    data.LocalSettings = true;
    return data;
}

function toRaw (changedData, settCache) {
    hlp.ItemToLocalSettings(changedData);
    Object.assign(settCache.ReportingSettings, lo.pick(changedData, formValues));
}

module.exports = {
    sections,
    toView,
    toRaw
};
