//const lo = require('lodash');
const hlpSch = require('./TaskScheduleHelper.js')

function toView (TASK_ADDITIONAL_PARAMS, formType) {
    if(formType === 'Schedule' ) {
        return hlpSch.toView(TASK_ADDITIONAL_PARAMS.Schedule);
    }
    else if(formType === 'Main'){
        let data = {
            Form_Task_CheckFilesIntegrity:{
                HashType: TASK_ADDITIONAL_PARAMS.Settings.HashType,
                ScanAreas:TASK_ADDITIONAL_PARAMS.Settings.ScanAreas
            }
        }
        return data;
    }
    return {};
}

function toRaw(TASK_ADDITIONAL_PARAMS, changedData, formType) {
    if(formType === 'Schedule' ) {
        hlpSch.toRaw(changedData, TASK_ADDITIONAL_PARAMS.Schedule)
    }
    else if(formType==='Main') {
        const hType = (typeof changedData.Form_Task_CheckFilesIntegrity.HashType === "string") ?
            parseInt(changedData.Form_Task_CheckFilesIntegrity.HashType) : changedData.Form_Task_CheckFilesIntegrity.HashType;
        TASK_ADDITIONAL_PARAMS.Settings.HashType = hType;
        TASK_ADDITIONAL_PARAMS.Settings.ScanAreas = changedData.Form_Task_CheckFilesIntegrity.ScanAreas;
    }
}

module.exports = {
    toView,
    toRaw
}
